Instalar Flumotion en Debian Wheezy

Introduccion

Flumotion es un proyecto llevado adelante en su momento por Fluendo con el cual se puede instalar un sistema de streaming, cuyos componentes pueden ser distribuidos entre varios equipos.

IMPORTANTE: Por lo que tengo entendido el proyecto de flumotion esta “muerto” por lo que no busquen ayuda en canales IRC o listas de mails oficiales. No digan que no avise!

En el sitio de flumotion podran obtener informacion sobre el sistema, como funciona y mas detalles de los que aqui se van a explicar.

Instalacion

En mi caso que utilizo debian wheezy (actualmente stable), necesito una linea como esta en mi archivo /etc/apt/sources.list… En realidad creo que con la rama “main” ya alcanza pero por las dudas mantenemos el resto.

deb http://ftp.us.debian.org/debian wheezy main contrib non-free

Luego de que estemos seguros que tenemos una linea como la de arriba en el archivo de repositorios de apt (repito: /etc/apt/sources.list) es necesario actualizar la lista de paquetes que nuestro sistema “conoce”. Para esto debemos ejecutar un update…

apt-get update

Una vez que el update termina, estamos listos para instalar el paquete de flumotion que contiene los componentes: manager, worker y admin

apt-get install flumotion

Una vez terminada la instalacion, ya podremos utilizar flumotion. Para saber como configurarlo, por favor refierance al manual oficial: manual flumotion 0.10

Un problemita que pase…

Si por casualidad intentan usar flumotion y el admin genera una excepcion al intentar detectar las tarjetas de sonido creo que esto les va a servir…

Hace unos dias vengo peleando con flumotion, un sistema para hacer streaming
Al momento de utilizar el flumotion-admin con interfaz grafica, el wizard tiraba una excepcion. Para ser un poco mas detallista se indicaba que el proceso ‘worker’ tuvo un error al ejecutar la funcion getAudioDevices que se encuentra en el archivo </usr/lib/flumotion/python/flumotion/worker/checks/audio.py>

Les resumo las cuentas, parece que me faltaba intalar un paquete necesario para usar Gstreamer (el modulo gst de python usado en la funcion getAudioDevices)… Al grano, el lio se soluciono instalando gstreamer para alsa

Ej: Debian

aptitude install gstreamer0.10-alsa

Perdon, no tengo tiempo, se fini!

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s